lkml.org 
[lkml]   [2019]   [Sep]   [5]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRE: Could not read FW version, FW version command failed -5
Date


> Dear Tomas,
>
>
> Testing Fedora 30 with Linux 5.2.11 on an old Dell OptiPlex 980, Linux
> log the message below.
>
> [ 15.964298] mei mei::55213584-9a29-4916-badf-0fb7ed682aeb:01: Could
> not read FW version
> [ 15.964301] mei mei::55213584-9a29-4916-badf-0fb7ed682aeb:01: FW
> version command failed -5
>
> The prints happen in `drivers/misc/mei/bus-fixup.c`.
>
> ret = 0;
> bytes_recv = __mei_cl_recv(cldev->cl, buf, sizeof(buf), 0,
> MKHI_RCV_TIMEOUT);
> if (bytes_recv < 0 || (size_t)bytes_recv < MKHI_FWVER_LEN(1)) {
> /*
> * Should be at least one version block,
> * error out if nothing found
> */
> dev_err(&cldev->dev, "Could not read FW version\n");
> return -EIO;
> }
>
> The Web is full of these messages, so it does seem like a normal
> condition on certain devices. Do you know the reason? Do older Intel
> MEs support this?

Wow, this quite an old system ~ 2009, the FW version has a bit different format there, it was overlooked, will look at that ASAP, thanks for the report.
Tomas

\
 
 \ /
  Last update: 2019-09-05 15:00    [W:0.052 / U:0.772 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site